List runs (executions)
List workflow runs/executions with optional filtering by space, ordering, pagination.
GET
/api/runsQuery parameters
pageintegerrequireddefault: 1page_sizeintegerrequiredorderingstringvaultstringspacestringstatusstringworkflowobjectRequest
curl
curl -X GET https://trickest.io/api/runs \
-H "Authorization: Token $TRICKEST_TOKEN"Responses
200Paginated list of runs
resultsobject[]requiredidstringrequiredworkflow_idstringrequiredstatusenumrequiredOne of: PENDING, RUNNING, COMPLETED, FAILED, CANCELLED, STOPPED, ERROR, PARTIAL_SUCCESS, SCHEDULED, STOPPING
created_datestringrequiredfinished_datestringfinishedbooleancompleted_datestringfleetstringmachinesobjectcountintegernextstringpreviousstring400Bad Request – validation error or malformed input
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.
401Unauthorized – missing or expired token
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.
403Forbidden – insufficient permissions
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.
429Too Many Requests – rate limited
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.
500Internal Server Error
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.